Subject: Re: [PATCH 0/25] detecting &&-chain breakage

From: Jeff King <[email-masked]>
Date: Fri, 20 Mar 2015 13:57:03 -0400

On Fri, Mar 20, 2015 at 03:28:11PM +0100, Michael J Gruber wrote:

> With 1/25 only, I get 163 dubious or failed on current next.
> With 1/25 and only chain-lint without running the actual test loads, I
> get 213.
> 
> So, just as Jeff explained, we don't want a "chain-lint-only mode"
> because it does not give correct results.

Thanks for checking. I had assumed there would be some weirdness, but I
didn't actually try a lint-only mode.

I only ran the lint against master earlier. There are two trivial broken
chains in pu. Patch is below (against nd/multiple-work-trees).  Looks
like that is in 'next', so we can't just squash it in.

-- >8 --
Subject: t2026: fix broken &&-chains

These are totally trivial (test_when_finished should never
fail), but being complete with our &&-chaining makes the new
--chain-lint feature more useful.

Signed-off-by: Jeff King <[email-masked]>
---
 t/t2026-prune-linked-checkouts.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/t/t2026-prune-linked-checkouts.sh b/t/t2026-prune-linked-checkouts.sh
index 2936d52..e885baf 100755
--- a/t/t2026-prune-linked-checkouts.sh
+++ b/t/t2026-prune-linked-checkouts.sh
@@ -65,7 +65,7 @@ test_expect_success 'prune directories with gitdir pointing to nowhere' '
 '
 
 test_expect_success 'not prune locked checkout' '
-	test_when_finished rm -r .git/worktrees
+	test_when_finished rm -r .git/worktrees &&
 	mkdir -p .git/worktrees/ghi &&
 	: >.git/worktrees/ghi/locked &&
 	git prune --worktrees &&
@@ -73,7 +73,7 @@ test_expect_success 'not prune locked checkout' '
 '
 
 test_expect_success 'not prune recent checkouts' '
-	test_when_finished rm -r .git/worktrees
+	test_when_finished rm -r .git/worktrees &&
 	mkdir zz &&
 	mkdir -p .git/worktrees/jlm &&
 	echo "$(pwd)"/zz >.git/worktrees/jlm/gitdir &&
-- 
2.3.3.520.g3cfbb5d